/*
 * 确定弹窗
 * title 标题
 * msg 内容
 * btnL 左边按钮
 * btnR 右边按钮
 * fun 确定按钮方法名
 * */
function confirmPopup(msg, callback) {
	this.html = '<div class="w10 h10 pstnf c-000-4 abst0 box-s pdl15 pdr15">';
	html += '<div style="height:15em" id="boxT"></div>';
	html += '<div class="pd10" id="popup">';
	html += '<div class="c-wh uc-a10">';
	html += '<p class="umh3 ubb ub-e0e0e0 tx-c">' + msg.title + '</p>'; //title
	html += '<p class="pd10 umh15"><font class="ftz095">' + msg.content + '</font></p>';
	html += '<div class="umh3 tx-c ovd ubt ub-e0e0e0">';
	html += '<div class="w5 fll t-999 box-s ubr ub-e0e0e0" id="btnL" style="border-radius: 0 0 0 1rem;" tapmode="bg-e0e0e0"><font class="ftz09">' + msg.btnL + '</font></div>';
	html += '<div class="w5 fll" tapmode="bg-e0e0e0" id="btnR" style="border-radius: 0 0 1rem 0;"><font class="ftz09">' + msg.btnR + '</font></div>';
	html += '</div>';
	html += '</div>';
	html += '</div>';
	html += '</div>';
	$('body').append(this.html);
	api.parseTapmode();
	$('#btnL').click(function() {
		callback(1);
	})
	$('#btnR').click(function() {
		callback(2);
	})
}
/*
 * 消息弹窗
 * @param
 * title 标题
 * content 内容
 * isFinish 是否是完成
 * */
function msgPopup(msg, callback) {
	this.html = '<div class="w10 h10 pstnf c-000-4 abst0 box-s pdl15 pdr15">';
	html += '<div style="height:10em" id="boxT"></div>';
	html += '<div class="pd10" id="popup">';
	html += '<div class="c-wh uc-a10">';
	html += '<p class="umh3 ubb ub-e0e0e0 tx-c pstnr">' + msg.title + '<span class="pstna h10e absr07 abst10">'; //title';
	html += '<img class="w10e h10e" onclick="closeMsg()" src="../image/icon/err.png"/>';
	html += '</span></p>';
	html += '<p class="pd10 umh15"><font class="ftz095">' + msg.content + '</font></p>';
	if(msg.isFinish) {
		html += '<div class="umh3 tx-c ovd ubt ub-e0e0e0" id="btn1" tapmode="bg-e0e0e0">确认结束</div>';
		html += '<div class="umh3 tx-c ovd ubt ub-e0e0e0" id="btn2" tapmode="bg-e0e0e0">加钟</div>';
		html += '<div class="umh3 tx-c ovd ubt ub-e0e0e0 t-999" id="btn3" style="border-radius: 0 0 1rem 0;" tapmode="bg-e0e0e0">投诉</div>';
	};
	html += '</div>';
	html += '</div>';
	html += '</div>';
	$('body').append(this.html);
	api.parseTapmode();
	$('#btn1').click(function() {
		callback(1);
	})
	$('#btn2').click(function() {
		callback(2);
	})
	$('#btn3').click(function() {
		callback(3);
	})
}
/*关闭弹窗*/
function closeComment() {
	close_f('comment');
}
/*服务结束*/
function finishService() {
	this.msg = {
		title: '结束服务',
		content: '是否确认服务结束？',
		btnL: '取消',
		btnR: '确定'
	};
	confirmPopup(this.msg, function(ret) {
		if(ret == 1) {
			closeComment();
		} else {
			$toast('操作成功',1500);
			closeComment();
		}
	})
}

/*设置页面是否弹动*/
function isBounces(type) {
	if(is_define(type) && type > 0) {
		this.bounces = true;
	} else {
		this.bounces = false;
	}
	api.setFrameAttr({
		name: api.frameName,
		bounces: this.bounces
	});
}

/*
 * 修改订单
 * @param
 * currentPackage 当前套餐
 * hasPayed 已支付金额
 * packages 套餐列表
 * */
function modifyPopuop(msg, callback) {
	this.html = '<div class="w10 h10 pstnf c-000-4 abst0 box-s pdl15 pdr15">';
	html += '<div class="h60e" id="boxT"></div>';
	html += '<div class="pd10" id="popup">';
	html += '<div class="c-wh uc-a10">';
	//<!--改前-->
	html += '<div class="">';
	html += '<p class="umh3 ubb ub-e0e0e0 tx-c">修改订单</p>';
	html += '<p class="umh25 tx-c t-999"><span class="ftz095">当前订单</span></p>';
	html += '<p class="umh1 tx-c t-999">';
	html += '<span class="ftz09" id="currentPackage">' + msg.currentPackage + '</span>';
	html += '</p>';
	html += '<p class="umh1 pdt025 tx-c t-999">';
	html += '<span class="ftz09" id="hasPayed">已付金额：' + msg.hasPayed + '元</span>';
	html += '</p>';
	html += '</div>';
	//<!--更换套餐-->
	html += '<div class="">';
	html += '<p class="umh25 mart10 ubt ub-e0e0e0 tx-c">更换套餐</p>';
	html += '<ul class="pdl10 pdr10 pdb10 t-999">';
	for(var i = 0; i < msg.packages.length; i++) {
		html += '<li class="umh25 tx-c" onclick="choiceThis(this)">';
		html += '<div class="bor-e0e0e0 uc-a02">';
		html += '<font class="ftz09">' + msg.packages[i] + '</font>';
		html += '</div>';
		html += '</li>';
	}
	html += '</ul>';
	html += '</div>';
	//<!--差价-->
	html += '<div class="dspn" id="price">';
	html += '<p class="umh25 ubt ub-e0e0e0 tx-c">价格变化</p>';
	html += '<p class="umh1 tx-c pdb05">';
	html += '<span class="ftz09 dspn" id="plus">由于套餐变更需要补齐差价</span>';
	html += '<span class="ftz09 dspn" id="reduce">由于套餐变更现返还差价</span>';
	html += '</p>';
	html += '<p class="umh2 pdb025 tx-c">';
	html += '<span class="ftz15 t-FF5C5D">￥<font id="lessMoney"></font></span>';
	html += '</p>';
	html += '</div>';
	html += '<div class="umh3 tx-c ovd ubt ub-e0e0e0">';
	html += '<div class="w5 fll t-999 box-s ubr ub-e0e0e0" id="btnL" style="border-radius: 0 0 0 1rem;" tapmode="bg-e0e0e0">';
	html += '<font class="ftz09">取消</font>';
	html += '</div>';
	html += '<div class="w5 fll" id="btnR" style="border-radius: 0 0 1rem 0;" tapmode="bg-e0e0e0">';
	html += '<font class="ftz09">确定</font>';
	html += '</div>';
	html += '</div>';
	html += '</div>';
	html += '</div>';
	html += '</div>';
	$('body').append(this.html);
	api.parseTapmode();
	$('#btnL').click(function() {
		callback(1);
	})
	$('#btnR').click(function() {
		callback(2);
	})
}
/*改单-选择套餐*/
function choiceThis(el) {
	$(el).siblings('li').children('div').removeClass('c-FF5C5D t-wh').addClass('bor-e0e0e0');
	$(el).children('div').addClass('c-FF5C5D t-wh').removeClass('bor-e0e0e0');
	var hasPayed = $('#hasPayed').text().replace(/[^0-9]/ig, "");
	var currentPackage = $('#currentPackage').text().replace(/[^0-9]/ig, "");
	var selectedPackage = $(el).children('div').text().replace(/[^0-9]/ig, "");
	if(selectedPackage - hasPayed > 0) {
		var lessMoney = selectedPackage - hasPayed;
		$('#plus').removeClass('dspn');
		$('#reduce').addClass('dspn');
		$('#lessMoney').text(lessMoney);
	} else {
		var lessMoney = hasPayed - selectedPackage;
		$('#reduce').removeClass('dspn');
		$('#plus').addClass('dspn');
		$('#lessMoney').text(lessMoney);
	}
	$('#price').removeClass('dspn');
}
/*
 * 投诉
 * */
function complaintPopuop(callback) {
	this.html = '<div class="w10 h10 pstnf c-000-4 abst0 box-s pdl15 pdr15">';
	html += '<div class="h100e" id="boxT"></div>';
	html += '<div class="pd10" id="popup">';
	html += '<div class="c-wh uc-a10">';
	html += '<p class="umh3 ubb ub-e0e0e0 tx-c">填写投诉申请</p>';
	html += '<div class="pd10 umh0">';
	html += '<div class="bor-e0e0e0 uc-a02">';
	html += '<textarea class="w10 h55e umh15 pd05 box-s c-wh ubnone ova-y ftz11" style="resize: none;"></textarea>';
	html += '</div>';
	html += '</div>';
	html += '<div class="umh3 tx-c ovd ubt ub-e0e0e0">';
	html += '<div class="w5 fll t-999 box-s ubr ub-e0e0e0" id="btnL" style="border-radius: 0 0 0 1rem;" tapmode="bg-e0e0e0">';
	html += '<font class="ftz09">取消</font>';
	html += '</div>';
	html += '<div class="w5 fll" tapmode="bg-e0e0e0" id="btnR" style="border-radius: 0 0 1rem 0;">';
	html += '<font class="ftz09">提交投诉申请</font>';
	html += '</div>';
	html += '</div>';
	html += '</div>';
	html += '</div>';
	html += '</div>';
	$('body').append(this.html);
	api.parseTapmode();
	$('#btnL').click(function() {
		callback(1);
	})
	$('#btnR').click(function() {
		callback(2);
	})
}
/*
 * 发布套餐
 * @param
 * packages 套餐
 * */
function publichPopuop(msg, callback) {
	this.html = '<div class="w10 h10 pstnf c-000-4 abst0 box-s pdl15 pdr15">';
	html += '<div class="h100e" id="boxT"></div>';
	html += '<div class="pd10" id="popup">';
	html += '<div class="c-wh uc-a10">';
	html += '<p class="umh3 ubb ub-e0e0e0 tx-c">'+msg.title+'</p>';
	html += '<ul class="pd10">';
	for(var i=0;i<msg.packages.length;i++){
		html += '<li class="umh25 tx-c" onclick="choiceThisOpt(this)">';
		html += '<div class="bor-e0e0e0 uc-a02">';
		html += '<font class="ftz09">'+msg.packages[i]+'</font>';
		html += '</div>';
		html += '</li>';
	}
	html += '</ul>';
	html += '<div class="umh3 tx-c ovd ubt ub-e0e0e0">';
	html += '<div class="w5 fll t-999 box-s ubr ub-e0e0e0" id="btnL" style="border-radius: 0 0 0 1rem;" tapmode="bg-e0e0e0">';
	html += '<font class="ftz09">'+msg.btnL+'</font>';
	html += '</div>';
	html += '<div class="w5 fll" id="btnR" style="border-radius: 0 0 1rem 0;" tapmode="bg-e0e0e0">';
	html += '<font class="ftz09">'+msg.btnR+'</font>';
	html += '</div>';
	html += '</div>';
	html += '</div>';
	html += '</div>';
	html += '</div>';
	$('body').append(this.html);
	api.parseTapmode();
	$('#btnL').click(function() {
		callback(1);
	})
	$('#btnR').click(function() {
		callback(2);
	})
}
/*发布-选择套餐*/
function choiceThisOpt(el)
{
	var index=$("ul li").index($(el));
	goods_id=goods_ids_arr[index];
	$(el).siblings('li').children('div').removeClass('c-FF5C5D t-wh').addClass('bor-e0e0e0');
	$(el).children('div').addClass('c-FF5C5D t-wh').removeClass('bor-e0e0e0');
}
function setHeight(){
	this.winH = api.winHeight;
	this.offset = $api.offset($api.byId('popup'));
	this.box_h = offset.h;
	this.boxT_h = (this.winH - this.box_h)/2+'px';
	$('#boxT').height(this.boxT_h);
}
